Za preuzimanje aplikacije Apple Store potreban je iOS 10 ili noviji

Beta verzije iOS 10.3 daju nam znakove onoga što iOS 11 može biti u budućnosti ili barem tamo gdje će ići novo ažuriranje. Jedna od stvari koja treba biti jasna je da je iOS 11 dopustit će samo 64-bitne aplikacije, pa se programeri čije su 32-bitne aplikacije ili ažuriraju ili umiru.

Appleov primer je prilično jasan. Većina vaših aplikacija, poput cijelog paketa iWork (Pages, Numbers, Keynote), zahtijeva da ih imate iOS 10 ili novija verzija kako bismo ih mogli preuzeti na našem uređaju. Nakon posljednjeg ažuriranja aplikacije Apple Store, Big Apple je također izmijenio ovaj kriterij: od sada se mogu preuzimati samo verzije aplikacija viših od iOS 10.

Zahtjevi Applea sve su prisutniji: sada iOS 10 ili noviji

Apple je oduvijek želio savršenstvo kako u svojim uređajima, tako i u svom ekosistemu, u koji sam uključio aplikacije i različite trgovine. Tijekom izdanja operativnog sistema, Cupertino je objavio brojne funkcije zbog kojih su programeri morali evoluirati ili umrijeti. Neophodno je to programeri napreduju prema promjenama u iOS-u, macOS-u i drugim operativnim sistemima.

Ako se sjećamo, u Februara 2015 Apple je primorao programere da aplikacije otpremljene nakon februara 2015. godine učine kompatibilnima sa 64 bita:

Od 1. februara 2015. godine, nove iOS aplikacije otpremljene u App Store morat će sadržavati 64-bitnu podršku i bit će izgrađene s iOS 8 SDK-om, uključenim u Xcode 6 ili noviji. Da biste omogućili 64-bitni okvir u vašem projektu, preporučujemo vam da koristite Xcode zadane "standardne arhitekture" za izgradnju jedne binarne datoteke s 32-bitnim verzijama i 64-bitnim kodom.

Od tog datuma do danas, sve promjene koje se dogode u aplikacijama moraju biti podržane 64-bitna arhitektura. No dolazi vijest da će Apple vjerovatno eliminirati one aplikacije koje nisu ažurirane za iOS 10 ili noviji, a očekuje se da će pokretanje iOS-a 10 utjecati na gotovo 11% aplikacija dostupnih u App Storeu.

U slučaju aplikacije Apple Store, u posljednjem je ažuriranju već uključio zahtjev da imate iOS 10 ili noviju verziju, eksplozija za one programere koji su zaostali u razvoju svojih aplikacija.


Sadržaj članka pridržava se naših principa urednička etika. Da biste prijavili grešku, kliknite ovdje.

Budite prvi koji komentarišete

Ostavite komentar

Vaša e-mail adresa neće biti objavljena. Obavezna polja su označena sa *

*

*

  1. Za podatke odgovoran: Miguel Ángel Gatón
  2. Svrha podataka: Kontrola neželjene pošte, upravljanje komentarima.
  3. Legitimacija: Vaš pristanak
  4. Komunikacija podataka: Podaci se neće dostavljati trećim stranama, osim po zakonskoj obavezi.
  5. Pohrana podataka: Baza podataka koju hostuje Occentus Networks (EU)
  6. Prava: U bilo kojem trenutku možete ograničiti, oporaviti i izbrisati svoje podatke.